Bug 573838 - New Feature: add information on writing server-side plug-ins
New Feature: add information on writing server-side plug-ins
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
ecs-bugs
: Documentation
Depends On:
Blocks: 573735 jon-plugin-dev
  Show dependency treegraph
 
Reported: 2010-03-15 17:06 EDT by Deon Ballard
Modified: 2011-06-15 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 21:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
docs for writing server side plug-ins (33.94 KB, application/vnd.oasis.opendocument.text)
2010-05-17 16:05 EDT, Deon Ballard
no flags Details
mazz first revision (38.42 KB, application/vnd.oasis.opendocument.text)
2010-05-18 11:29 EDT, John Mazzitelli
no flags Details

  None (edit)
Comment 1 Deon Ballard 2010-03-15 17:18:48 EDT
Blocking plugin guide tracker.
Comment 2 Deon Ballard 2010-05-05 18:57:16 EDT
This is only tangentially related to the dev bug for improving the plugin deployment workflow. But the new plug-in docs will cover:

* Writing and deploying server-side plugins
http://elladeon.fedorapeople.org/jon-drafts/3.0/plugins/writing-serverside-plugins.html

* Writing and deploying agent plugins
http://elladeon.fedorapeople.org/jon-drafts/3.0/plugins/writing-agent-plugins.html

With examples and a reference of default plug-ins.
Comment 3 Deon Ballard 2010-05-17 16:05:56 EDT
Created attachment 414654 [details]
docs for writing server side plug-ins

The tech review process is easy:

1. Download the attached OpenOffice doc.

2. Make sure that Edit > Changes > Record is selected. (I should have this set to track changes, but make sure in case I forgot.)

3. Read through the file and mark any changes (correct anything that's wrong, add missing information, delete outdated stuff, etc.).

4. When you're done editing, upload the edited OO doc and re-assign to me (dlackey).   

The HTML links in the previous comment show what the real, official docs look like, if you prefer that version. I can also make a PDF.

Changing status to ON_DEV and assigning to Mazz for review.
Comment 4 John Mazzitelli 2010-05-18 11:29:32 EDT
Created attachment 414893 [details]
mazz first revision

my first revision is attached
Comment 5 Deon Ballard 2010-06-22 11:04:18 EDT
All of Mazz's edits from comment #4 are in place, I believe, in the beta drafts at http://www.redhat.com/docs/en-US/JBoss_ON/2.4/plugins/html/writing-serverside-plugins.html.

Changing to ON_QA.
Comment 6 Deon Ballard 2010-06-22 11:47:40 EDT
I'm changing the QA contact to Andrew in ECS to take some of the pressure of the JON QE team. 

I'm putting Corey on as CC in case Andrew has any questions.
Comment 8 lcarlon 2010-11-11 01:09:01 EST
Fixed in 2.4:

JBoss_Operations_Network-Plug-in_Writing_Guide-2.4-web-en-US-1-3.el5

Note You need to log in before you can comment on or make changes to this bug.